<section class="content">

<p id="notice"><%= notice %></p>
<div class="box">
<div class="box-header with-border">
<h3 class="box-title">Books</h3>
</div>
<!-- /.box-header -->
<div class="box-body">

<%= search_form_for @q do |f| %>
  <%= f.search_field :name_or_author_name_or_category_name_cont %>
  <%= f.submit %>
<% end %>

<table class="table table-bordered">
  <thead>
    <tr>
      <th><%= sort_link(@q, :name, "Nome") %></th>
      <th><%= sort_link(@q, :stock, "Estoque") %></th>
      <th>Author</th>
      <th>Category</th>
      <th colspan="3"></th>
    </tr>
  </thead>

  <tbody>
    <% @books.each do |book| %>
      <tr>
        <td><%= book.name %></td>
        <td><%= book.stock %></td>
        <td><%= book.author.name %></td>
        <td><%= book.category.name %></td>
        <td><%= link_to 'Show', book %></td>
        <td><%= link_to 'Edit', edit_book_path(book) %></td>
        <td><%= link_to 'Destroy', book, method: :delete, data: { confirm: 'Are you sure?' } %></td>
      </tr>
    <% end %>
  </tbody>
</table>
</div>
</div>

<br>

<a class="btn btn-primary" style="color: white;" href="/books/new">New Book</a>

  </section>


